> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poix.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get captions files list

> This endpoint retrieves a list of caption files for a specified YouTube video.



## OpenAPI

````yaml get /files/captions/{videoId}
openapi: 3.1.0
info:
  version: 1.0.1
  title: Poix API
servers:
  - url: https://api.poix.io
    description: Production server
security: []
paths:
  /files/captions/{videoId}:
    get:
      tags:
        - Files
      summary: Get captions files list
      description: >-
        This endpoint retrieves a list of caption files for a specified YouTube
        video.
      operationId: getCaptionsFilesList
      parameters:
        - schema:
            type: string
            minLength: 11
            maxLength: 11
            description: The YouTube video ID
            example: dQw4w9WgXcQ
          required: true
          name: videoId
          in: path
        - schema:
            type: string
            enum:
              - en
              - es
              - de
              - fr
              - ja
              - pt
              - tr
              - it
              - fa
              - nl
              - af
              - am
              - ar
              - as
              - az
              - be
              - bg
              - bn
              - bs
              - ca
              - cs
              - da
              - el
              - en-GB
              - en-IN
              - es-419
              - es-US
              - et
              - eu
              - fi
              - fil
              - fr-CA
              - gl
              - gu
              - hi
              - hr
              - hu
              - hy
              - id
              - is
              - iw
              - ka
              - kk
              - km
              - kn
              - ko
              - ky
              - lo
              - lt
              - lv
              - mk
              - ml
              - mn
              - mr
              - ms
              - my
              - 'no'
              - ne
              - or
              - pa
              - pl
              - pt-PT
              - ro
              - ru
              - si
              - sk
              - sl
              - sq
              - sr-Latn
              - sr
              - sv
              - sw
              - ta
              - te
              - th
              - uk
              - ur
              - uz
              - vi
              - zh-CN
              - zh-HK
              - zh-TW
              - zh-Hans
              - zu
              - en-US
              - zh-Hant
              - zh
              - yue
            description: The language code of the caption
            example: en
          required: false
          name: lang
          in: query
        - schema:
            type: string
            enum:
              - json
              - text
              - csv
              - xml
              - srt
              - vtt
              - ttml
              - srv1
              - srv2
              - srv3
              - json3
            description: Filters the response to a specific formats
            example: json
          required: false
          name: format
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    languageCode:
                      type: string
                      description: The language code of the caption
                    languageName:
                      type: string
                      description: The language name of the caption
                    format:
                      type: string
                      description: The format of the caption file
                    url:
                      type: string
                      format: uri
                      description: The YouTube URL of the caption file
                    staticUrl:
                      type: string
                      format: uri
                      description: The static URL of the caption file
                  required:
                    - languageCode
                    - languageName
                    - format
                description: List of available caption files
              example:
                - languageName: English (auto-generated)
                  languageCode: en
                  format: srt
                  url: >-
                    https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=srt
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=srt&lang=en
                - languageName: English (auto-generated)
                  languageCode: en
                  format: vtt
                  url: >-
                    https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=vtt
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=vtt&lang=en
                - languageName: English (auto-generated)
                  languageCode: en
                  format: ttml
                  url: >-
                    https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=ttml
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=ttml&lang=en
                - languageName: English (auto-generated)
                  languageCode: en
                  format: srv1
                  url: >-
                    https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=srv1
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=srv1&lang=en
                - languageName: English (auto-generated)
                  languageCode: en
                  format: srv2
                  url: >-
                    https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=srv2
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=srv2&lang=en
                - languageName: English (auto-generated)
                  languageCode: en
                  format: srv3
                  url: >-
                    https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=srv3
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=srv3&lang=en
                - languageName: English (auto-generated)
                  languageCode: en
                  format: json3
                  url: >-
                    https://www.youtube.com/api/timedtext?v=dQw4w9WgXcQ&ei=TncaZ9mBPNDUi9oPstrKMA&caps=asr&opi=112496729&exp=xbt&xoaf=5&hl=en&ip=0.0.0.0&ipbits=0&expire=1729812927&sparams=ip,ipbits,expire,v,ei,caps,opi,exp,xoaf&signature=481102AD541057C440C43FEB9EF8C1A891FEE386.161E910A7414D7DCB17A69617860A6DEA6F0CCBB&key=yt8&kind=asr&lang=en&fmt=json3
                  staticUrl: >-
                    https://api.poix.io/captions/dQw4w9WgXcQ?format=json3&lang=en
                - languageName: English (auto-generated)
                  languageCode: en
                  format: json
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=json&lang=en
                - languageName: English (auto-generated)
                  languageCode: en
                  format: xml
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=xml&lang=en
                - languageName: English (auto-generated)
                  languageCode: en
                  format: csv
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=csv&lang=en
                - languageName: English (auto-generated)
                  languageCode: en
                  format: text
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=text&lang=en
                - languageName: Spanish (translated)
                  languageCode: es
                  format: json
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=json&lang=es
                - languageName: Spanish (translated)
                  languageCode: es
                  format: xml
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=xml&lang=es
                - languageName: Spanish (translated)
                  languageCode: es
                  format: csv
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=csv&lang=es
                - languageName: Spanish (translated)
                  languageCode: es
                  format: text
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=text&lang=es
                - languageName: Spanish (translated)
                  languageCode: es
                  format: srt
                  staticUrl: https://api.poix.io/captions/dQw4w9WgXcQ?format=srt&lang=es
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            maximum:
                              type: number
                            type:
                              type: string
                            inclusive:
                              type: boolean
                            exact:
                              type: boolean
                            message:
                              type: string
                            path:
                              type: array
                              items:
                                type: string
                          required:
                            - code
                            - type
                            - message
                            - path
                      name:
                        type: string
                        enum:
                          - ZodError
                    required:
                      - issues
                      - name
                required:
                  - success
                  - error
              example:
                success: false
                error:
                  issues:
                    - code: too_big
                      maximum: 11
                      type: string
                      inclusive: true
                      exact: true
                      message: String must contain exactly 11 character(s)
                      path:
                        - videoId
                  name: ZodError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                    required:
                      - message
                required:
                  - error
              example:
                error:
                  message: Forbidden
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````